org.gradle.nativeplatform

## Class NativeInstallationSpec

- java.lang.Object
- - org.gradle.nativeplatform.NativeInstallationSpec

-     @Incubating
      public class NativeInstallationSpec
      extends Object

  Specifies the installation location for a native executable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeInstallationSpec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDirectory()`
    `void` | `setDirectory(File directory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeInstallationSpec

          public NativeInstallationSpec()

  - ### Method Detail

    - #### getDirectory

          public File getDirectory()

    - #### setDirectory

          public void setDirectory(File directory)